%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 9;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate datetime

Name:           rust-datetime
Version:        0.5.2
Release:    1%{?dist}
Summary:        Library for date and time formatting and arithmetic

License:        MIT
URL:            https://crates.io/crates/datetime
Source0:         %{crates_source}
Patch:          datetime-fix-metadata-auto.diff
Patch:          datetime-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Library for date and time formatting and arithmetic.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENCE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+format-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+format-devel %{_description}

This package contains library source intended for building other packages which
use the "format" feature of the "%{crate}" crate.

%files       -n %{name}+format-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+iso8601-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+iso8601-devel %{_description}

This package contains library source intended for building other packages which
use the "iso8601" feature of the "%{crate}" crate.

%files       -n %{name}+iso8601-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+locale-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+locale-devel %{_description}

This package contains library source intended for building other packages which
use the "locale" feature of the "%{crate}" crate.

%files       -n %{name}+locale-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pad-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pad-devel %{_description}

This package contains library source intended for building other packages which
use the "pad" feature of the "%{crate}" crate.

%files       -n %{name}+pad-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+parse-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+parse-devel %{_description}

This package contains library source intended for building other packages which
use the "parse" feature of the "%{crate}" crate.

%files       -n %{name}+parse-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
rm tests/generate_tests.rb
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.2-1
- initial build
